public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/PythonQt/
Date: Wed, 26 Feb 2020 11:49:27 +0000 (UTC)	[thread overview]
Message-ID: <1582717551.46d54cd7fa079d1f188f626a94896180eea73f89.asturm@gentoo> (raw)

commit:     46d54cd7fa079d1f188f626a94896180eea73f89
Author:     Vladimir Pavljuchenkov (SpiderX) <spiderx <AT> spiderx <DOT> dp <DOT> ua>
AuthorDate: Mon Feb 17 18:59:12 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Feb 26 11:45:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46d54cd7

dev-python/PythonQt: update live ebuild

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Vladimir Pavljuchenkov <spiderx <AT> spiderx.dp.ua>
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-python/PythonQt/PythonQt-9999.ebuild | 52 ++++++++++++++++++--------------
 1 file changed, 29 insertions(+), 23 deletions(-)

diff --git a/dev-python/PythonQt/PythonQt-9999.ebuild b/dev-python/PythonQt/PythonQt-9999.ebuild
index e142455bfc0..8554b891806 100644
--- a/dev-python/PythonQt/PythonQt-9999.ebuild
+++ b/dev-python/PythonQt/PythonQt-9999.ebuild
@@ -1,23 +1,23 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-PYTHON_COMPAT=( python3_6 )
+PYTHON_COMPAT=( python3_{6,7} )
+EGIT_REPO_URI="https://github.com/MeVisLab/pythonqt.git"
 
-MY_P=${PN}${PV}
-
-inherit qmake-utils python-single-r1 subversion
+inherit git-r3 qmake-utils python-single-r1 virtualx
 
 DESCRIPTION="A dynamic Python binding for the Qt framework"
-HOMEPAGE="http://pythonqt.sourceforge.net/"
+HOMEPAGE="https://mevislab.github.io/pythonqt"
 SRC_URI=""
-ESVN_REPO_URI="https://pythonqt.svn.sourceforge.net/svnroot/pythonqt/trunk"
 
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS=""
-IUSE="doc +extensions webkit"
+IUSE="debug doc examples +extensions test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
 
 RDEPEND="${PYTHON_DEPS}
 	dev-qt/qtcore:5
@@ -33,38 +33,44 @@ RDEPEND="${PYTHON_DEPS}
 		dev-qt/qtsql:5
 		dev-qt/qtsvg:5
 		dev-qt/qtxml:5
-		dev-qt/qtxmlpatterns:5
-		webkit? ( dev-qt/qtwebkit:5 )
-	)"
+		dev-qt/qtxmlpatterns:5 )"
 DEPEND="${RDEPEND}
-	dev-qt/qtxml:5
+	dev-qt/qtxml:5"
+BDEPEND="app-arch/unzip
 	virtual/pkgconfig
-	doc? ( app-doc/doxygen )"
-
-S="${WORKDIR}/${MY_P}"
-
-REQUIRED_USE="webkit? ( extensions ) ${PYTHON_REQUIRED_USE}"
+	doc? ( app-doc/doxygen )
+	test? ( dev-qt/qttest:5 )"
 
 src_prepare() {
 	default
 
+	if ! use examples ; then
+		sed -i '/SUBDIRS/s/examples//' PythonQt.pro || die "sed for examples"
+	fi
 	if ! use extensions ; then
 		sed -i '/SUBDIRS/s/extensions//' PythonQt.pro || die "sed for extensions"
 	fi
-	if ! use webkit ; then
-		# Remove webkit support if not used
-		sed -i '/qtHaveModule(webkit):CONFIG += PythonQtWebKit/d' \
-			extensions/PythonQt_QtAll/PythonQt_QtAll.pro \
-			|| die "sed for webkit"
+	if ! use test ; then
+		sed -i '/SUBDIRS/s/tests//' PythonQt.pro || die "sed for test"
 	fi
 
+	# Remove webkit support if not used
+	sed -i '/qtHaveModule(webkit):CONFIG += PythonQtWebKit/d' \
+		extensions/PythonQt_QtAll/PythonQt_QtAll.pro \
+		|| die "sed for webkit"
+
 	# Unset python version to use python-config
 	sed -i "/unix:PYTHON_VERSION=/s/2.7//" build/python.prf \
 		|| die "sed for python version"
 }
 
 src_configure() {
-	eqmake5 PREFIX="${ED%/}"/usr
+	eqmake5 CONFIG+="$(usex debug debug release '' '')" PREFIX="${ED}"/usr
+}
+
+src_test() {
+	LD_PRELOAD="${S}"/lib/libPythonQt-Qt5-Python"$(usex debug _d '' '' '')".so.3 \
+		virtx ./lib/PythonQtTest"$(usex debug _d '' '' '')"
 }
 
 src_install() {


             reply	other threads:[~2020-02-26 11:49 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-02-26 11:49 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-03-11 22:31 [gentoo-commits] repo/gentoo:master commit in: dev-python/PythonQt/ Andreas Sturmlechner
2020-02-26 11:49 Andreas Sturmlechner
2020-02-26 11:49 Andreas Sturmlechner
2020-02-26 11:49 Andreas Sturmlechner
2020-02-05 20:47 Michał Górny
2018-06-27 20:32 Pacho Ramos
2017-12-24 17:12 Patrice Clement
2017-12-24 17:12 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1582717551.46d54cd7fa079d1f188f626a94896180eea73f89.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox